<?php
/*
Scripture Tooltip
Version 1.2
Copyright (c) 2017 Dryane_
Scripture Tooltip is released under the MIT License
http://www.danieljosephryan.com/
*/

$scripture = htmlspecialchars($_GET["scripture"]);
$book = htmlspecialchars($_GET["book"]);
$chapter = htmlspecialchars($_GET["chapter"]);
$verse = htmlspecialchars($_GET["verse"]);
$link = 'https://www.churchofjesuschrist.org/study/scriptures/' . $scripture . '/' . $book . '/' . $chapter . '.' .  $verse . "?lang=eng";
$homepage = file_get_contents($link);

$doc = new DOMDocument();
$doc->loadHtml($homepage);

$sups = $doc->getElementsByTagName('sup');
foreach($sups as $sup) {
	$sup->nodeValue = "<sup>" . $sup->nodeValue . "</sup>";
}

if ($verse == null) {
	echo "<p><em>" . $doc->getElementByID('study_summary1')->nodeValue . "</em></p>";
} else {
	
	$pverse = array();
	
	$verses = explode(",", $verse);
	
	$content;
	
	foreach ($verses as $el) {		
		$pattern = '/-/';
		preg_match($pattern, $el, $match);
		if ($match[0] == '-') {
			$smallVerses = explode("-", $el);
			foreach (range($smallVerses[0], $smallVerses[1]) as $number) {
				array_push($pverse, "p" . $number);
				$content .= "<p>" . $doc->getElementByID('p' . $number)->nodeValue . "</p>";
			}
		} else {
			array_push($pverse, "p" . $el);
			$content .= "<p>" . $doc->getElementByID('p' . $el)->nodeValue . "</p>";
		}
	}
	echo $content;	
}
?>