<?php
/*
Plugin Name: LDS Scripture ToolTip
Plugin URI: LDS Scripture ToolTip
Description: LDS Scripture ToolTip
Author: Daniel Ryan
Version: 1.3
Author URI: http://danieljosephryan.com
Tags: LDS, Scripture, ToolTip
License: GPLv3
*/

// Busted! No direct file access
! defined( 'ABSPATH' ) AND exit;

add_action('wp_enqueue_scripts', 'register_GRABldsToolTipScript', 100);
function register_GRABldsToolTipScript() {
    
    $content = get_post_field('post_content', get_the_ID());

    if (strpos($content,"lds.org") == false) {
        return;
    }

    wp_enqueue_script( 'ldsToolTip_jquery', plugins_url('/ldsToolTip.min.js', __FILE__), array('jquery'), null, true );
    wp_enqueue_style( 'ldsToolTip_css', plugins_url('/ldsToolTip.min.css', __FILE__), array(), null, 'all');

    $grabber = plugins_url('/scripture-grabber.php', __FILE__);

    $script = <<<END
<script>
    jQuery(document).ready(function(){
        jQuery('.entry-content a').each(function (index, value) { 
            new ldsToolTip({ el : this, root: "$grabber" });
        });
    });
</script>
END;
    
    wp_add_inline_script( "ldsToolTip_jquery", $script, 'after');

}

?>